### Home Classes Methods

### In Files

- lib/prawn/layout/grid.rb

### Parent

Object

### Methods

- #column_width
- #row_height
- #show_all

### Files

- COPYING
- GPLv2
- GPLv3
- LICENSE

### Class/Module Index

Quicksearch

- Prawn
- Prawn::Core
- Prawn::Core::Page
- Prawn::Core::Page::GraphicsState
- Prawn::Core::Reference
- Prawn::Document
- Prawn::Document::BoundingBox
- Prawn::Document::ColumnBox
- Prawn::Document::GraphicsState
- Prawn::Document::Grid
- Prawn::Document::Internals
- Prawn::Document::PageGeometry
- Prawn::Document::Security
- Prawn::Document::Snapshot
- Prawn::Encoding
- Prawn::Errors
- Prawn::Font
- Prawn::Font::AFM
- Prawn::Font::DFont
- Prawn::Font::TTF
- Prawn::GraphicState
- Prawn::GraphicStateStack
- Prawn::Graphics
- Prawn::Graphics::CapStyle
- Prawn::Graphics::Color
- Prawn::Graphics::Dash
- Prawn::Graphics::Gradient
- Prawn::Graphics::JoinStyle
- Prawn::Graphics::Transformation
- Prawn::Graphics::Transparency
- Prawn::Images
- Prawn::Images::JPG
- Prawn::Images::PNG
- Prawn::Layout
- Prawn::Measurements
- Prawn::Outline
- Prawn::Stamp
- Prawn::Table
- Prawn::Table::Cell
- Prawn::Table::Cell::InTable
- Prawn::Table::Cell::Subtable
- Prawn::Table::Cell::Text
- Prawn::Table::Cells
- Prawn::Text
- Prawn::Text::Box
- Prawn::Text::Formatted
- Prawn::Text::Formatted::Box
- Prawn::Text::Formatted::Fragment
- Prawn::Text::Formatted::Parser
- Arcfour
- Numeric

No matching classes.

# Prawn::Document::Grid

A Grid represents the entire grid system of a Page and calculates the column width and row height of the base box.

### Attributes

column_gutter[R]
columns[R]
gutter[R]
pdf[R]
row_gutter[R]
rows[R]

### Public Instance Methods

column_width() click to toggle source

Calculates the base width of boxes.

    # File lib/prawn/layout/grid.rb, line 49
    def column_width
      @column_width ||= subdivide(pdf.bounds.width, columns, column_gutter)
    end

row_height() click to toggle source

Calculates the base height of boxes.

    # File lib/prawn/layout/grid.rb, line 54
    def row_height
     @row_height ||= subdivide(pdf.bounds.height, rows, row_gutter)
    end

show_all(color = "CCCCCC") click to toggle source

Diagnostic tool to show all of the grids. Defaults to gray.

    # File lib/prawn/layout/grid.rb, line 59
    def show_all(color = "CCCCCC")
      self.rows.times do |i|
        self.columns.times do |j|
          pdf.grid(i,j).show(color)
        end
      end
    end

[Validate]

Generated with the Darkfish Rdoc Generator 2.